PKI --DN(1)

NAME
pki --dn - Extract the subject DN of an X.509 certificate

SYNOPSIS
pki --dn [--in file] [--format format] [--debug level]
pki --dn --options file
pki --dn -h | --help

DESCRIPTION
This sub-command of pki(1) extracts the ASN.1-encoded subject DistinguishedName (DN) of an X.509 certificate and exports it in different formats. This may be useful when strongSwan's identity parser is unable to produce the correct binary encoding from a string.

OPTIONS

-h, --help
    Print usage information with a summary of the available options.

-v, --debug level
    Set debug level, default: 1.

-+, --options file
    Read command line options from file.

-i, --in file
    Input file. If not given the input is read from STDIN.

-t, --format format
    Output format. One of config (strongSwan configuration compatible), hex (hexadecimal encoding, no prefix), base64 (Base64 encoding, no prefix), bin (raw binary data), defaults to config.

SEE ALSO
pki(1)